## simplecal 0.1.1

=== Makefile ===
#############################################################################
# Makefile for building: build/simplecal
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon May 10 10:16:49 2010
# Project:  qtprog.pro
# Template: app
# Command: /home/kano/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-qt-1014/bin/qmake -unix -o Makefile qtprog.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include/QtCore -I../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include/QtGui -I../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include -Ibuild
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/home/kano/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/lib -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/kano/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-qt-1014/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/

####### Files

SOURCES       = src/qtmain.cpp \
		src/qmaemo5homescreenadaptor.cpp build/moc_qmaemo5homescreenadaptor.cpp \
		build/moc_dCalWidget.cpp
OBJECTS       = build/qtmain.o \
		build/qmaemo5homescreenadaptor.o \
		build/moc_qmaemo5homescreenadaptor.o \
		build/moc_dCalWidget.o
DIST          = ../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/unix.conf \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/linux.conf \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/qconfig.pri \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/release.prf \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt.prf \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/moc.prf \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/resources.prf \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/uic.prf \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/lex.prf \
		qtprog.pro
QMAKE_TARGET  = simplecal
DESTDIR       = build/
TARGET        = build/simplecal

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) build/ || $(MKDIR) build/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: qtprog.pro  ../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf ../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/unix.conf \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/linux.conf \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/qconfig.pri \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/release.prf \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt.prf \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/moc.prf \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/resources.prf \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/uic.prf \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/lex.prf \
		/home/kano/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/lib/libQtGui.prl \
		/home/kano/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile qtprog.pro
../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/unix.conf:
../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/linux.conf:
../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/qconfig.pri:
../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_functions.prf:
../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_config.prf:
../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_pre.prf:
../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/release.prf:
../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_post.prf:
../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/warn_on.prf:
../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt.prf:
../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/unix/thread.prf:
../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/moc.prf:
../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/resources.prf:
../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/uic.prf:
../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/yacc.prf:
../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/lex.prf:
/home/kano/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/lib/libQtGui.prl:
/home/kano/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile qtprog.pro

dist: 
	@$(CHK_DIR_EXISTS) build/simplecal1.0.0 || $(MKDIR) build/simplecal1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/simplecal1.0.0/ && $(COPY_FILE) --parents src/qmaemo5homescreenadaptor.h src/dCalWidget.h build/simplecal1.0.0/ && $(COPY_FILE) --parents src/qtmain.cpp src/qmaemo5homescreenadaptor.cpp build/simplecal1.0.0/ && (cd `dirname build/simplecal1.0.0` && $(TAR) simplecal1.0.0.tar simplecal1.0.0 && $(COMPRESS) simplecal1.0.0.tar) && $(MOVE) `dirname build/simplecal1.0.0`/simplecal1.0.0.tar.gz . && $(DEL_FILE) -r build/simplecal1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


debian-all: debian-src debian-bin

debian-src:
	dpkg-buildpackage -S -r -us -uc -d

debian-bin:
	dpkg-buildpackage -b -r -uc -d

compiler_clean:
	-$(DEL_FILE) $(TARGET)

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: build/moc_qmaemo5homescreenadaptor.cpp build/moc_dCalWidget.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) build/moc_qmaemo5homescreenadaptor.cpp build/moc_dCalWidget.cpp
build/moc_qmaemo5homescreenadaptor.cpp: src/qmaemo5homescreenadaptor.h
	/home/kano/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-qt-1014/bin/moc $(DEFINES) $(INCPATH) src/qmaemo5homescreenadaptor.h -o build/moc_qmaemo5homescreenadaptor.cpp

build/moc_dCalWidget.cpp: src/dCalWidget.h
	/home/kano/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-qt-1014/bin/moc $(DEFINES) $(INCPATH) src/dCalWidget.h -o build/moc_dCalWidget.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:

=== debian/changelog ===
simplecal (0.1.1) unstable; urgency=low

  * Update on desktop change (update current datum)

 -- Anton Skorokhod <anton@nsl.cz>  Mon, 10 May 2010 10:16:00 +0200

simplecal (0.1) unstable; urgency=low

  * Initial Release.

 -- Anton Skorokhod <anton@nsl.cz>  Sun, 09 May 2010 12:10:58 +0200

=== debian/control ===
Source: simplecal
Section: user/Other
Priority: extra
Maintainer: Anton Skorokhod <anton@nsl.cz>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.6.1), libhildon1-dev, libhildondesktop1-dev
Standards-Version: 3.7.3
Homepage: http://www.nsl.cz

Package: simplecal
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qt4-homescreen-loader
Description: Simple desktop calendar widget

## simplecal 0.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: build/simplecal
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon May 10 10:16:49 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue May 11 16:36:31 2010
 # Project:  qtprog.pro
 # Template: app
 # Command: /home/kano/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-qt-1014/bin/qmake -unix -o Makefile qtprog.pro
@@ -13,7 +13,7 @@
 DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
 CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
-INCPATH       = -I../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include/QtCore -I../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include/QtGui -I../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include -Ibuild
+INCPATH       = -I../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include/QtCore -I../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include/QtGui -I../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include -Icolorpicker -Ibuild -Ibuild
 LINK          = g++
 LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
 LIBS          = $(SUBLIBS)  -L/home/kano/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/lib -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtCore -lpthread 
@@ -44,12 +44,22 @@
 ####### Files
 
 SOURCES       = src/qtmain.cpp \
-		src/qmaemo5homescreenadaptor.cpp build/moc_qmaemo5homescreenadaptor.cpp \
-		build/moc_dCalWidget.cpp
+		src/qmaemo5homescreenadaptor.cpp \
+		src/dCalWidget.cpp \
+		src/settingsdlg.cpp \
+		colorpicker/WidgetColorPicker.cpp build/moc_qmaemo5homescreenadaptor.cpp \
+		build/moc_dCalWidget.cpp \
+		build/moc_settingsdlg.cpp \
+		build/moc_WidgetColorPicker.cpp
 OBJECTS       = build/qtmain.o \
 		build/qmaemo5homescreenadaptor.o \
+		build/dCalWidget.o \
+		build/settingsdlg.o \
+		build/WidgetColorPicker.o \
 		build/moc_qmaemo5homescreenadaptor.o \
-		build/moc_dCalWidget.o
+		build/moc_dCalWidget.o \
+		build/moc_settingsdlg.o \
+		build/moc_WidgetColorPicker.o
 DIST          = ../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/unix.conf \
 		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/linux.conf \
 		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/qconfig.pri \
@@ -57,6 +67,7 @@
 		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
 		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
 		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
+		colorpicker/WidgetColorPicker.pri \
 		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/release.prf \
 		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_post.prf \
 		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
@@ -96,7 +107,7 @@
 
 all: Makefile $(TARGET)
 
-$(TARGET):  $(OBJECTS)  
+$(TARGET): build/ui_WidgetColorPicker.h $(OBJECTS)  
 	@$(CHK_DIR_EXISTS) build/ || $(MKDIR) build/ 
 	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
 
@@ -107,6 +118,7 @@
 		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
 		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
 		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
+		colorpicker/WidgetColorPicker.pri \
 		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/release.prf \
 		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_post.prf \
 		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
@@ -127,6 +139,7 @@
 ../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_config.prf:
 ../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
 ../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_pre.prf:
+colorpicker/WidgetColorPicker.pri:
 ../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/release.prf:
 ../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_post.prf:
 ../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/warn_on.prf:
@@ -144,7 +157,7 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) build/simplecal1.0.0 || $(MKDIR) build/simplecal1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/simplecal1.0.0/ && $(COPY_FILE) --parents src/qmaemo5homescreenadaptor.h src/dCalWidget.h build/simplecal1.0.0/ && $(COPY_FILE) --parents src/qtmain.cpp src/qmaemo5homescreenadaptor.cpp build/simplecal1.0.0/ && (cd `dirname build/simplecal1.0.0` && $(TAR) simplecal1.0.0.tar simplecal1.0.0 && $(COMPRESS) simplecal1.0.0.tar) && $(MOVE) `dirname build/simplecal1.0.0`/simplecal1.0.0.tar.gz . && $(DEL_FILE) -r build/simplecal1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/simplecal1.0.0/ && $(COPY_FILE) --parents src/qmaemo5homescreenadaptor.h src/dCalWidget.h src/settingsdlg.h colorpicker/WidgetColorPicker.h build/simplecal1.0.0/ && $(COPY_FILE) --parents src/qtmain.cpp src/qmaemo5homescreenadaptor.cpp src/dCalWidget.cpp src/settingsdlg.cpp colorpicker/WidgetColorPicker.cpp build/simplecal1.0.0/ && $(COPY_FILE) --parents colorpicker/WidgetColorPicker.ui build/simplecal1.0.0/ && (cd `dirname build/simplecal1.0.0` && $(TAR) simplecal1.0.0.tar simplecal1.0.0 && $(COMPRESS) simplecal1.0.0.tar) && $(MOVE) `dirname build/simplecal1.0.0`/simplecal1.0.0.tar.gz . && $(DEL_FILE) -r build/simplecal1.0.0
 
 
 clean:compiler_clean 
@@ -174,27 +187,7 @@
 
 mocables: compiler_moc_header_make_all compiler_moc_source_make_all
 
-compiler_moc_header_make_all: build/moc_qmaemo5homescreenadaptor.cpp build/moc_dCalWidget.cpp
+compiler_moc_header_make_all: build/moc_qmaemo5homescreenadaptor.cpp build/moc_dCalWidget.cpp build/moc_settingsdlg.cpp build/moc_WidgetColorPicker.cpp
 compiler_moc_header_clean:
-	-$(DEL_FILE) build/moc_qmaemo5homescreenadaptor.cpp build/moc_dCalWidget.cpp
+	-$(DEL_FILE) build/moc_qmaemo5homescreenadaptor.cpp build/moc_dCalWidget.cpp build/moc_settingsdlg.cpp build/moc_WidgetColorPicker.cpp
 build/moc_qmaemo5homescreenadaptor.cpp: src/qmaemo5homescreenadaptor.h
-	/home/kano/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-qt-1014/bin/moc $(DEFINES) $(INCPATH) src/qmaemo5homescreenadaptor.h -o build/moc_qmaemo5homescreenadaptor.cpp
-
-build/moc_dCalWidget.cpp: src/dCalWidget.h
-	/home/kano/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-qt-1014/bin/moc $(DEFINES) $(INCPATH) src/dCalWidget.h -o build/moc_dCalWidget.cpp
-
-compiler_rcc_make_all:
-compiler_rcc_clean:
-compiler_image_collection_make_all: qmake_image_collection.cpp
-compiler_image_collection_clean:
-	-$(DEL_FILE) qmake_image_collection.cpp
-compiler_moc_source_make_all:
-compiler_moc_source_clean:
-compiler_uic_make_all:
-compiler_uic_clean:
-compiler_yacc_decl_make_all:
-compiler_yacc_decl_clean:
-compiler_yacc_impl_make_all:
-compiler_yacc_impl_clean:
-compiler_lex_make_all:
-compiler_lex_clean:

=== debian/changelog ===
simplecal (0.2) unstable; urgency=low

  * Base class is now not QCalendarWidget but QWidget with 8xX Qlabels
  * Transparent background
  * Simple settings dialog allowing select colors
  * Update datum on timer

 -- Anton Skorokhod <anton@nsl.cz>  Mon, 11 May 2010 09:39:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: extra
 Maintainer: Anton Skorokhod <anton@nsl.cz>
 Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.6.1), libhildon1-dev, libhildondesktop1-dev
+Replaces: cal1
 Standards-Version: 3.7.3
 Homepage: http://www.nsl.cz

## simplecal 0.2.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: build/simplecal
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue May 11 16:36:31 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue May 11 19:20:47 2010
 # Project:  qtprog.pro
 # Template: app
 # Command: /home/kano/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-qt-1014/bin/qmake -unix -o Makefile qtprog.pro

=== debian/changelog ===
simplecal (0.2.1) unstable; urgency=low

  * Small fix on settings dialog

 -- Anton Skorokhod <anton@nsl.cz>  Tue, 11 May 2010 16:52:00 +0200

## simplecal 0.2.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: build/simplecal
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue May 11 19:20:47 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue May 11 20:03:56 2010
 # Project:  qtprog.pro
 # Template: app
 # Command: /home/kano/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-qt-1014/bin/qmake -unix -o Makefile qtprog.pro
@@ -13,7 +13,7 @@
 DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
 CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
-INCPATH       = -I../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include/QtCore -I../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include/QtGui -I../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include -Icolorpicker -Ibuild -Ibuild
+INCPATH       = -I../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include/QtCore -I../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include/QtGui -I../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include -Ibuild
 LINK          = g++
 LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
 LIBS          = $(SUBLIBS)  -L/home/kano/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/lib -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtCore -lpthread 
@@ -47,19 +47,19 @@
 		src/qmaemo5homescreenadaptor.cpp \
 		src/dCalWidget.cpp \
 		src/settingsdlg.cpp \
-		colorpicker/WidgetColorPicker.cpp build/moc_qmaemo5homescreenadaptor.cpp \
+		src/colorButton.cpp build/moc_qmaemo5homescreenadaptor.cpp \
 		build/moc_dCalWidget.cpp \
 		build/moc_settingsdlg.cpp \
-		build/moc_WidgetColorPicker.cpp
+		build/moc_colorButton.cpp
 OBJECTS       = build/qtmain.o \
 		build/qmaemo5homescreenadaptor.o \
 		build/dCalWidget.o \
 		build/settingsdlg.o \
-		build/WidgetColorPicker.o \
+		build/colorButton.o \
 		build/moc_qmaemo5homescreenadaptor.o \
 		build/moc_dCalWidget.o \
 		build/moc_settingsdlg.o \
-		build/moc_WidgetColorPicker.o
+		build/moc_colorButton.o
 DIST          = ../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/unix.conf \
 		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/linux.conf \
 		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/qconfig.pri \
@@ -67,7 +67,6 @@
 		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
 		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
 		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
-		colorpicker/WidgetColorPicker.pri \
 		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/release.prf \
 		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_post.prf \
 		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
@@ -107,7 +106,7 @@
 
 all: Makefile $(TARGET)
 
-$(TARGET): build/ui_WidgetColorPicker.h $(OBJECTS)  
+$(TARGET):  $(OBJECTS)  
 	@$(CHK_DIR_EXISTS) build/ || $(MKDIR) build/ 
 	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
 
@@ -118,7 +117,6 @@
 		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
 		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
 		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
-		colorpicker/WidgetColorPicker.pri \
 		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/release.prf \
 		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_post.prf \
 		../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
@@ -139,7 +137,6 @@
 ../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_config.prf:
 ../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
 ../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_pre.prf:
-colorpicker/WidgetColorPicker.pri:
 ../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/release.prf:
 ../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_post.prf:
 ../../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/warn_on.prf:
@@ -157,7 +154,7 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) build/simplecal1.0.0 || $(MKDIR) build/simplecal1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/simplecal1.0.0/ && $(COPY_FILE) --parents src/qmaemo5homescreenadaptor.h src/dCalWidget.h src/settingsdlg.h colorpicker/WidgetColorPicker.h build/simplecal1.0.0/ && $(COPY_FILE) --parents src/qtmain.cpp src/qmaemo5homescreenadaptor.cpp src/dCalWidget.cpp src/settingsdlg.cpp colorpicker/WidgetColorPicker.cpp build/simplecal1.0.0/ && $(COPY_FILE) --parents colorpicker/WidgetColorPicker.ui build/simplecal1.0.0/ && (cd `dirname build/simplecal1.0.0` && $(TAR) simplecal1.0.0.tar simplecal1.0.0 && $(COMPRESS) simplecal1.0.0.tar) && $(MOVE) `dirname build/simplecal1.0.0`/simplecal1.0.0.tar.gz . && $(DEL_FILE) -r build/simplecal1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/simplecal1.0.0/ && $(COPY_FILE) --parents src/qmaemo5homescreenadaptor.h src/dCalWidget.h src/settingsdlg.h src/colorButton.h build/simplecal1.0.0/ && $(COPY_FILE) --parents src/qtmain.cpp src/qmaemo5homescreenadaptor.cpp src/dCalWidget.cpp src/settingsdlg.cpp src/colorButton.cpp build/simplecal1.0.0/ && (cd `dirname build/simplecal1.0.0` && $(TAR) simplecal1.0.0.tar simplecal1.0.0 && $(COMPRESS) simplecal1.0.0.tar) && $(MOVE) `dirname build/simplecal1.0.0`/simplecal1.0.0.tar.gz . && $(DEL_FILE) -r build/simplecal1.0.0
 
 
 clean:compiler_clean 
@@ -187,7 +184,10 @@
 
 mocables: compiler_moc_header_make_all compiler_moc_source_make_all
 
-compiler_moc_header_make_all: build/moc_qmaemo5homescreenadaptor.cpp build/moc_dCalWidget.cpp build/moc_settingsdlg.cpp build/moc_WidgetColorPicker.cpp
+compiler_moc_header_make_all: build/moc_qmaemo5homescreenadaptor.cpp build/moc_dCalWidget.cpp build/moc_settingsdlg.cpp build/moc_colorButton.cpp
 compiler_moc_header_clean:
-	-$(DEL_FILE) build/moc_qmaemo5homescreenadaptor.cpp build/moc_dCalWidget.cpp build/moc_settingsdlg.cpp build/moc_WidgetColorPicker.cpp
+	-$(DEL_FILE) build/moc_qmaemo5homescreenadaptor.cpp build/moc_dCalWidget.cpp build/moc_settingsdlg.cpp build/moc_colorButton.cpp
 build/moc_qmaemo5homescreenadaptor.cpp: src/qmaemo5homescreenadaptor.h
+	/home/kano/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-qt-1014/bin/moc $(DEFINES) $(INCPATH) src/qmaemo5homescreenadaptor.h -o build/moc_qmaemo5homescreenadaptor.cpp
+
+build/moc_dCalWidget.cpp: src/dCalWidget.h

=== debian/changelog ===
simplecal (0.2.2) stable; urgency=low

  * Change from WidgetColorPicker to QButton to select color to minimize code
  * First stable version

 -- Anton Skorokhod <anton@nsl.cz>  Tue, 18 Tue 2010 20:03:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: simplecal
-Section: user/Other
+Section: user/desktop
 Priority: extra
 Maintainer: Anton Skorokhod <anton@nsl.cz>
 Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.6.1), libhildon1-dev, libhildondesktop1-dev

## simplecal 0.2.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: build/simplecal
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue May 11 20:03:56 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue May 11 20:56:20 2010
 # Project:  qtprog.pro
 # Template: app
 # Command: /home/kano/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-qt-1014/bin/qmake -unix -o Makefile qtprog.pro

=== debian/changelog ===
simplecal (0.2.3) stable; urgency=low

  * XSBC-Bugtracker line added to debian/control
  * No more settings dialog on click on widget

 -- Anton Skorokhod <anton@nsl.cz>  Tue, 11 May 2010 20:56:00 +0200

## simplecal 0.2.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: build/simplecal
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue May 11 20:56:20 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed May 12 18:08:44 2010
 # Project:  qtprog.pro
 # Template: app
 # Command: /home/kano/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-qt-1014/bin/qmake -unix -o Makefile qtprog.pro

=== debian/changelog ===
simplecal (0.2.4) stable; urgency=low

  * Add configurable (transparent) background color

 -- Anton Skorokhod <anton@nsl.cz>  Wed, 12 May 2010 19:01:00 +0200

=== debian/control ===
Source: simplecal
Section: user/desktop
Priority: extra
Maintainer: Anton Skorokhod <anton@nsl.cz>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.6.1), libhildon1-dev, libhildondesktop1-dev
Standards-Version: 3.7.3
Homepage: http://www.nsl.cz
XSBC-Bugtracker: mailto:bugs@nsl.cz

Package: simplecal
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qt4-homescreen-loader
Description: Simple desktop calendar widget
Replaces: cal1

## simplecal 0.2.5

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: build/simplecal
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed May 12 18:08:44 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed May 12 19:01:49 2010
 # Project:  qtprog.pro
 # Template: app
 # Command: /home/kano/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-qt-1014/bin/qmake -unix -o Makefile qtprog.pro

=== debian/changelog ===
simplecal (0.2.5) stable; urgency=low

  * Packet dependencies fixed
  * PR1.2 release

 -- Anton Skorokhod <anton@nsl.cz>  Wed, 12 May 2010 19:01:00 +0200

## simplecal 0.2.6

=== Makefile ===
#############################################################################
# Makefile for building: build/simplecal
# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Jan 6 11:58:24 2011
# Project:  qtprog.pro
# Template: app
# Command: /home/kano/.madde/0.6.72/targets/fremantle-pr12/bin/qmake -unix -o Makefile qtprog.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/include/QtCore -I../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/include/QtGui -I../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/include -Ibuild
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/home/kano/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/kano/.madde/0.6.72/targets/fremantle-pr12/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/

####### Files

SOURCES       = src/qtmain.cpp \
		src/qmaemo5homescreenadaptor.cpp \
		src/dCalWidget.cpp \
		src/settingsdlg.cpp \
		src/colorButton.cpp build/moc_qmaemo5homescreenadaptor.cpp \
		build/moc_dCalWidget.cpp \
		build/moc_settingsdlg.cpp \
		build/moc_colorButton.cpp
OBJECTS       = build/qtmain.o \
		build/qmaemo5homescreenadaptor.o \
		build/dCalWidget.o \
		build/settingsdlg.o \
		build/colorButton.o \
		build/moc_qmaemo5homescreenadaptor.o \
		build/moc_dCalWidget.o \
		build/moc_settingsdlg.o \
		build/moc_colorButton.o
DIST          = ../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/unix.conf \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/linux.conf \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/qconfig.pri \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/release.prf \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt.prf \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/moc.prf \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/resources.prf \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/uic.prf \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/lex.prf \
		qtprog.pro
QMAKE_TARGET  = simplecal
DESTDIR       = build/
TARGET        = build/simplecal

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) build/ || $(MKDIR) build/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: qtprog.pro  ../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf ../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/unix.conf \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/linux.conf \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/qconfig.pri \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/release.prf \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt.prf \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/moc.prf \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/resources.prf \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/uic.prf \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/lex.prf \
		/home/kano/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib/libQtGui.prl \
		/home/kano/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile qtprog.pro
../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/unix.conf:
../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/linux.conf:
../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/qconfig.pri:
../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_functions.prf:
../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_config.prf:
../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_pre.prf:
../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/release.prf:
../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_post.prf:
../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/warn_on.prf:
../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt.prf:
../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/unix/thread.prf:
../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/moc.prf:
../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/resources.prf:
../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/uic.prf:
../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/yacc.prf:
../../../.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/lex.prf:
/home/kano/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib/libQtGui.prl:
/home/kano/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile qtprog.pro

dist: 
	@$(CHK_DIR_EXISTS) build/simplecal1.0.0 || $(MKDIR) build/simplecal1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/simplecal1.0.0/ && $(COPY_FILE) --parents src/qmaemo5homescreenadaptor.h src/dCalWidget.h src/settingsdlg.h src/colorButton.h build/simplecal1.0.0/ && $(COPY_FILE) --parents src/qtmain.cpp src/qmaemo5homescreenadaptor.cpp src/dCalWidget.cpp src/settingsdlg.cpp src/colorButton.cpp build/simplecal1.0.0/ && (cd `dirname build/simplecal1.0.0` && $(TAR) simplecal1.0.0.tar simplecal1.0.0 && $(COMPRESS) simplecal1.0.0.tar) && $(MOVE) `dirname build/simplecal1.0.0`/simplecal1.0.0.tar.gz . && $(DEL_FILE) -r build/simplecal1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


debian-all: debian-src debian-bin

debian-src:
	dpkg-buildpackage -S -r -us -uc -d

debian-bin:
	dpkg-buildpackage -b -r -uc -d

compiler_clean:
	-$(DEL_FILE) $(TARGET)

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: build/moc_qmaemo5homescreenadaptor.cpp build/moc_dCalWidget.cpp build/moc_settingsdlg.cpp build/moc_colorButton.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) build/moc_qmaemo5homescreenadaptor.cpp build/moc_dCalWidget.cpp build/moc_settingsdlg.cpp build/moc_colorButton.cpp
build/moc_qmaemo5homescreenadaptor.cpp: src/qmaemo5homescreenadaptor.h
	/home/kano/.madde/0.6.72/targets/fremantle-pr12/bin/moc $(DEFINES) $(INCPATH) src/qmaemo5homescreenadaptor.h -o build/moc_qmaemo5homescreenadaptor.cpp

build/moc_dCalWidget.cpp: src/dCalWidget.h
	/home/kano/.madde/0.6.72/targets/fremantle-pr12/bin/moc $(DEFINES) $(INCPATH) src/dCalWidget.h -o build/moc_dCalWidget.cpp

build/moc_settingsdlg.cpp: src/colorButton.h \
		src/settingsdlg.h
	/home/kano/.madde/0.6.72/targets/fremantle-pr12/bin/moc $(DEFINES) $(INCPATH) src/settingsdlg.h -o build/moc_settingsdlg.cpp

build/moc_colorButton.cpp: src/colorButton.h

=== debian/changelog ===
simplecal (0.2.6) stable; urgency=low

  * Display of first month of year fixed

 -- Anton Skorokhod <anton@nsl.cz>  Thu, 8 Jan 2011 11:52:00 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	qmake
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/simplecal.sgml > simplecal.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/simplecal.
	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/simplecal install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
